/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a place.
 * </p>
 * @version 1.0
 *
 */
public class Place {
	private String name;
	private String state;
	private String population;
	private String year;
	
	/**
	 * @param name
	 * @param population
	 * @param year
	 */
	public Place(String name, String state, String population, String year) {
		this.setName(name);
		this.setState(state);
		this.setPopulation(population);
		this.setYear(year);
	}

	/**
	 * @return the name of the place
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set as the place name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the state
	 */
	public String getState() {
		return state;
	}
	
	/**
	 * @param state the state to set
	 */
	public void setState(String state) {
		this.state = state;
	}

	/**
	 * @return the year
	 */
	public String getYear() {
		return year;
	}

	/**
	 * @param year the year to set
	 */
	public void setYear(String year) {
		this.year = year;
	}

	/**
	 * @return the population
	 */
	public String getPopulation() {
		return population;
	}

	/**
	 * @param population the population to set
	 */
	public void setPopulation(String population) {
		this.population = population;
	}
	
	/**
	 * @return the place as a String
	 */
	public String toString() {
		return name + ", " + state + " (" + population + ", " + year + ")";
	}
}
